<!-- No olvidar agregar ReactiveFormsModule en App.module.ts, util para trabajar con formularios-->
<form class="example-container" [formGroup]="form" #frmSigno="ngForm" (ngSubmit)="operar()">

  <div [hidden]="true">
    <mat-form-field>
      <input matInput placeholder="ID" required formControlName="id">
    </mat-form-field>
  </div>
  <div>
    <mat-form-field class="example-full-width">
      <input type="text" placeholder="Paciente" matInput [matAutocomplete]="autoPaciente"
        [formControl]="myControlPaciente" formControlName="paciente">
    </mat-form-field>

    <mat-autocomplete #autoPaciente="matAutocomplete" [displayWith]="mostrarPaciente">
      <mat-option *ngFor="let p of pacientesFiltrados$ | async" [value]="p">
        {{ p.nombres }} {{p.apellidos}}
      </mat-option>
    </mat-autocomplete>
    <button mat-stroked-button color="primary" (click)="abrirDialogo()">Nuevo Paciente</button>

  </div>
  <div>
    <mat-form-field class="example-full-width">
      <input matInput [matDatepicker]="picker" placeholder="Escoge una fecha" [max]="maxFecha" formControlName="fecha"
        [(ngModel)]="fechaSeleccionada">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>
  </div>


  <mat-form-field class="example-full-width">
    <input matInput placeholder="Temperatura" required formControlName="temperatura">
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Pulso" required formControlName="pulso">
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Ritmo Cardiaco" required formControlName="ritmo_cardiaco">
  </mat-form-field>

  <button mat-raised-button color="primary" type="submit" [disabled]="frmSigno.invalid">
    <mat-icon>done</mat-icon>
    <span>Aceptar</span>
  </button><br>
  <button mat-raised-button color="accent" routerLink='/signo-vital' type="button">
    <mat-icon>close</mat-icon>
    <span>Cancelar</span>
  </button>

</form>
